<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.device.pms.mapper.majornetwork.RMpDevEvaluateDetailMapper">

    <resultMap id="BaseResultMap" type="com.njcn.device.pms.pojo.po.RMpDevEvaluateDetail">
            <id property="dataDate" column="data_date" jdbcType="TIMESTAMP"/>
            <id property="deviceId" column="device_id" jdbcType="VARCHAR"/>
            <result property="devTargetRate" column="dev_target_rate" jdbcType="FLOAT"/>
            <result property="devDataRate" column="dev_data_rate" jdbcType="FLOAT"/>
            <result property="devScore" column="dev_score" jdbcType="FLOAT"/>
            <result property="devEffectiveRate" column="dev_effective_rate" jdbcType="FLOAT"/>
    </resultMap>

    <sql id="Base_Column_List">
        data_date,device_id,dev_target_rate,
        dev_data_rate,dev_score,dev_effective_rate
    </sql>
</mapper>
